Skip to main content
`Ctrl`+`K`

# TaoDefaultConvergenceTest

Determines whether the solver should continue iterating or terminate.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultConvergenceTest(Tao tao, void *dummy)

Collective

## Input Parameters

- tao - the `Tao` context

- dummy - unused dummy context

## Notes

This routine checks the residual in the optimality conditions, the relative residual in the optimity conditions, the number of function evaluations, and the function value to test convergence. Some solvers may use different convergence routines.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetTolerances()`, `TaoGetConvergedReason()`, `TaoSetConvergedReason()`

## Level

developer

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages